// File: UDPTalk
// UDP Java Client Example

import java.applet.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import java.util.*;
import sun.net.*;

public class UDPTalk { //extends JApplet implements ActionListener {
	static String		hostname;
	static InetAddress	inetaddr;
	static DatagramSocket  socket;
	static int		port; 
	static final int bufSize=50;


	// Set up the socket
	public static void comm() 
	{
		try {
			hostname="acad.kutztown.edu";
			port=8007;
	    		inetaddr = InetAddress.getByName(hostname);
	    		socket = new DatagramSocket();
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
    	}


	public static void action() 
	{   String text="";
	    BufferedReader cin = 
			new BufferedReader(new InputStreamReader(System.in));
	    try {
	    	System.out.print("Enter data to send. Enter Quits >");
	    	text= cin.readLine();
  	    }
	    catch (Exception e) {
		System.exit(1);
	    }
	    while (text.length()>0) {
	    //Send data over socket
		byte[] data=new byte[50];
		for (int idx=0;idx<text.length();idx++)
			data[idx]=(byte)text.charAt(idx);
	    	DatagramPacket outgoing = 
			new DatagramPacket(data, bufSize,inetaddr,8007);
		// Send text to server
	    	try {
			socket.send(outgoing);
			// textFieldOut.setText(new String(""));
		}
		catch (Exception e) {
			System.out.println("Client: Send Error");
		}
	     	//Receive text from server
		try {
			DatagramPacket incoming =
				new DatagramPacket(data,bufSize);
			socket.receive(incoming);
			String line = new String(data);
		} 
		catch (IOException e){
	 		System.out.println("********** Read failed *********");
		      	System.exit(1);
		}
	    	try {
	    		System.out.print("Enter data to send. Enter Quits >");
	    		text= cin.readLine();
  	    	}
	    	catch (Exception e) {
			System.exit(0);
		}
	    } // while
	    socket.close();
  	}

	public static void main(String[] args)
	{comm();
	 action();
	}

} // class

